# RakNet::SetRoomLockState_Func Struct Reference
[RoomsCommands]

Lock or unlock the room. More...

`#include <RoomsPlugin.h>`

Inheritance diagram for RakNet::SetRoomLockState_Func:

List of all members.

## Detailed Description

Lock or unlock the room.

If the room is locked, no further players can join regardless of the available room slots. This includes invited players.
Rooms default to unlocked

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Rooms/RoomsPlugin.h